package com.trafficparrot.sdk.jms;

import javax.jms.BytesMessage;
import javax.jms.TextMessage;

import static com.trafficparrot.sdk.jms.MessageBodyType.*;

public class JmsMessageType {

    public static String jmsMessageType(MessageBodyType bodyType) {
        if (bodyType == null || TEXT.equals(bodyType)) {
            return TextMessage.class.getName();
        } else if (BYTES.equals(bodyType) || PRINTABLE_CHARACTERS.equals(bodyType) || bodyType.isJavaObject()) {
            return BytesMessage.class.getName();
        } else {
            throw new IllegalStateException("Unknown JMS message type: " + bodyType);
        }
    }
}
